Get Service by ID
GET /v1/service/{service_id}
GET /v1/service/{service_id}Interactive request editor loads with JavaScript.
Path Parameters
service_id*string
Service ID.
Response Body
application/json
application/json
curl -X GET "http://127.0.0.1:9090/v1/service/string"OK
{
"has_domain": false,
"modifiedIndex": 728,
"key": "/apisix/services/5",
"createdIndex": 728,
"value": {
"create_time": 1634554563,
"id": "5",
"upstream": {
"scheme": "http",
"hash_on": "vars",
"pass_host": "pass",
"type": "roundrobin",
"nodes": [
{
"port": 1980,
"weight": 1,
"host": "127.0.0.1"
}
]
},
"update_time": 1634554563
}
}Service not found
{
"error_msg": "string"
}Complete operation details and schema variants
GET /v1/service/{service_id}
Get Service by ID
Get a service by ID.
Parameters
service_id(path, string, required): Service ID.
Responses
200: OK404: Service not founderror_msg(string, required):
cURL
curl -X GET 'http://127.0.0.1:9090/v1/service/{service_id}'